<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="body">
		<h1>#{messages['gazelle.simulator.ListOfTestInstances']}</h1>
		<h:form id="form">
			<rich:panel id="globalPanel" style="width:100%;height:100%;">
				<f:facet name="header">#{messages['gazelle.simulator.ListOfTestInstances']}</f:facet>
				<h:outputText
					value="#{messages['gazelle.simulator.TestInstanceInfo']}"></h:outputText>
				<br />
				<br />
				<h:outputText
					value="#{messages['gazelle.simulator.SelectTestInstance']}"></h:outputText>
				<h:panelGrid id="listInstancesGrid" columns="3">
					<s:decorate id="TIdec" template="/layout/edit.xhtml">
						<ui:define name="label">#{messages['gazelle.simulator.TestInstance']}</ui:define>
						<h:selectOneMenu id="listTI"
							value="#{testInstanceManager.selectedTestInstance}"
							valueChangeListener="#{testInstanceManager.optionChanged}">
							<s:selectItems
								value="#{testInstanceManager.getListOfTestInstances()}"
								var="TIused"
								noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"
								label="#{TIused.serverTestInstanceId} (#{TIused.testInstanceStatus.keyword})"></s:selectItems>
							<a4j:ajax event="change" render="TIContentDiv"
								onsubmit="#{rich:component('panelLoading')}.show();"
								execute="@this"
								actionListener="#{testInstanceManager.initTestInstanceView()}"
								oncomplete="#{rich:component('panelLoading')}.hide();"></a4j:ajax>
						</h:selectOneMenu>
					</s:decorate>
					<h:graphicImage library="img" id="refreshButton" name="refresh.gif"
						width="28" height="28" style="cursor:pointer;">
						<a4j:ajax event="click" render="TIdec"
							onsubmit="#{rich:component('panelLoading')}.show();"
							oncomplete="#{rich:component('panelLoading')}.hide();"></a4j:ajax>
					</h:graphicImage>
				</h:panelGrid>
				<br />
				<br />
				<s:div id="TIContentDiv">
					<ui:include src="testInstancesContent.xhtml">
					</ui:include>
				</s:div>
			</rich:panel>
		</h:form>
	</ui:define>
</ui:composition>
